メインコンテンツまでスキップ

On-Demand Cluster の更新 (V2)

現在のプロジェクト内のオンデマンドクラスターの名前、説明、または自動サスペンドのアイドル時間を更新します。

PATCH/v2/clusters/onDemandClusters/{CLUSTER_ID}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンには、適切な権限を持つAPI keyを使用する必要があります。

値の例: Bearer {{TOKEN}}
OrgIdstringheader必要

クラスターのorganization ID。

値の例: org-xxxxxxxxxxxxxxxxxxx
CLUSTER_IDstringpath必要

更新するオンデマンドクラスターのID。

値の例: inxx-xxxxxxxxxxxxxxx
リクエスト・ボディ
clusterNamestring

クラスターの新しい名前。値を空文字列にすることはできません。

descriptionstring

クラスターの新しい説明。値は空文字列にできます。

autoSuspendstring

自動サスペンドのアイドル時間。値は 60s5m1h などの <number><s|m|h> 形式を使用する必要があり、60秒以上である必要があります。

値の例: 5m
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name",
"description": "This is the new description of the cluster.",
"autoSuspend": "5m"
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name"
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"description": ""
}'
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"autoSuspend": "5m"
}'
レスポンス

変更されたクラスターのIDを返します。

codeinteger

レスポンスコード。

dataobject

レスポンスペイロード。

clusterIdstring

変更されたクラスターのID。

promptstring

返されるプロンプトメッセージ。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."
}
}
Ctrl I